#!/usr/bin/env python
# -*- coding: utf-8 -*-

import FreeCAD
import Mesh
import os
import gettext
import PySide
from PySide import QtGui

import pythonVerCheck
import pyDexcsSwakSubset

doc = App.ActiveDocument
name = os.path.splitext(doc.FileName)[0]
modelDir = os.path.dirname(doc.FileName)

#モデルファイル置き場がケースファイルの場所（.CaseFileDictで指定）と異なる場合
caseFileDict = modelDir + "/.CaseFileDict"

if os.path.isfile(caseFileDict) == True:
	f = open(caseFileDict)
	modelDir = f.read()
	f.close()

systemFolder = modelDir + "/system"
constantFolder = modelDir + "/constant"

if os.path.isdir(systemFolder) and os.path.isdir(constantFolder):

	CaseFilePath=modelDir
	#print(CaseFilePath)
	os.chdir(CaseFilePath)
	#geditの実行ファイル作成
	caseName = CaseFilePath
	title =  ""
	#envSet = ". ~/.FreeCAD/runTreefoamSubset\n"
	envSet = ". " + os.path.expanduser("~") + "/.FreeCAD/runTreefoamSubset;"
	configDict = pyDexcsSwakSubset.readConfigDexcs()
	envSwak = "export dexcsSwakPath=" + os.path.expanduser(configDict["dexcs"]) + "/SWAK\nexport PYTHONPATH=$dexcsSwakPath:$PYTHONPATH\n"
	solverSet = "gridEditor.py " +caseName
	timeFolder = " 0 constant/polyMesh\n"
	sleep = ""
	cont = title + envSet + envSwak + solverSet + timeFolder + sleep
	f=open("./run","w")
	f.write(cont)
	f.close()
	#実行権付与
	os.system("chmod a+x run")
	#実行
	#comm = "xfce4-terminal --execute bash ./run"
	comm= "gnome-terminal --geometry=80x15 --zoom=0.9 -- bash --rcfile ./run"
	#subprocess.call(comm .strip().split(" "))
	os.system(comm)

else:
    message = (_("this folder is not case folder of OpenFOAM.\n  check current directory."))
    ans = QtGui.QMessageBox.critical(None, _("check OpenFOAM case"), message, QtGui.QMessageBox.Yes)


