#!/usr/bin/env python
# -*- coding: utf-8 -*-

import FreeCAD
import Mesh
import os
import pyDexcsSwakSubset

doc = App.ActiveDocument
name = os.path.splitext(doc.FileName)[0]
modelDir = os.path.dirname(doc.FileName)

#モデルファイル置き場がケースファイルの場所（.CaseFileDictで指定）と異なる場合
caseFileDict = modelDir + "/.CaseFileDict"
if os.path.isfile(caseFileDict) == True:
    f = open(caseFileDict)
    modelDir = f.read()
    f.close()

workDir=modelDir

configDict = pyDexcsSwakSubset.readConfigDexcs()
envTreeFoam = configDict["TreeFoam"]

configTreeFoamFile = os.path.expanduser(envTreeFoam) + "/configTreeFoam"
f = open(configTreeFoamFile)
x = f.read()
f.close()

configTreeFoamFileTemp = os.path.expanduser(envTreeFoam) + "/configTreeFoam"
g = open(configTreeFoamFileTemp,'w')
y = x.split('\n')
keyWord = "workDir"

for j in range(len(y)):
    s = y[j].find(keyWord)
    if s > -1:
        g.write("workDir\t"+workDir+"\n") 
    else :
        g.write(y[j]+"\n")
g.close()

trfCmd = "/opt/TreeFoam/treefoam"
os.system(trfCmd)
